darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Util.HTTP

# Documentation

copyRemote :: String -> FilePath -> Cachable -> IO () #

copyRemoteLazy :: String -> Cachable -> IO ByteString #

speculateRemote :: String -> FilePath -> IO () #

postUrl #

Arguments

:: String | url
-> ByteString | body
-> String | mime type
-> IO () | result